/*
 * Copyright (C) 2010 Timo Kokkonen <kaapeli@itanic.dy.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _ANALYZE_H
#define _ANALYZE_H

#include "pagemap.h"

void print_page_stats(struct pageframe *pf);
void print_pid_stats(struct pageframe *pf, struct process *process_list,
		struct parse_opts *opts);
void dump_process_maps(struct pageframe *pf, struct process *process_list,
		struct parse_opts *opts);

#endif
